package gui.simulator.facilities;

import gui.simulator.DrawEngine;
import gui.simulator.Images;
import gui.simulator.SimulatorPane;
import gui.simulator.Terrain;

import java.io.Serializable;

public class WayPoint extends DrawEngine implements Serializable{

	private static String facilityName = "WayPoint";
	
	public WayPoint(int x, int y, double scale, double distance, Terrain terrain) {
		super(Images.ImageType.Crosspoint, x, y, scale, 1, SimulatorPane.Objects.WAYPOINT, terrain, null, false);
	}
	
    public String getFacilityName(){
    	return facilityName;
    }

}
